Skip to main content
GET
/
api
/
v1
/
migration-modal
Get Migration Modal
curl --request GET \
  --url https://worker.anon.com/api/v1/migration-modal \
  --header 'Authorization: Bearer <token>'
{
  "object": "migration_modal",
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "migration_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "url": "<string>",
  "created": "2023-11-07T05:31:56Z",
  "expires_at": "2023-11-07T05:31:56Z",
  "created_by_user_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

Authorization
string
header
required

Bearer token authentication

Query Parameters

user_id
string
required

Your end-user's unique identifier (usually an email or UUID)

source_provider
enum<string>

The source provider for the migration, to skip the 'Select Provider' step in the migration modal Source provider for migrations

Available options:
gusto,
quickbooks,
adp,
navan,
toast,
clover,
travelperk,
egencia,
shopkeep,
spoton,
gusto_service_account,
target,
amazon,
home_depot,
lowes,
uber_eats,
fedex,
costco,
staples,
ups,
kaiserpermanente,
anthem
source_providers
enum<string>[]

A list of source providers to show on the source selection step. Overrides the default list.

Source provider for migrations

Available options:
gusto,
quickbooks,
adp,
navan,
toast,
clover,
travelperk,
egencia,
shopkeep,
spoton,
gusto_service_account,
target,
amazon,
home_depot,
lowes,
uber_eats,
fedex,
costco,
staples,
ups,
kaiserpermanente,
anthem
default_hidden
boolean

Whether the migration modal should be hidden by default when added to the page. Defaults to false.

timeout_minutes
number
default:59

Number of minutes until the migration modal URL expires. Defaults to 59.

Required range: x >= 1

Response

Success

object
enum<string>
required
Available options:
migration_modal
id
string<uuid>
required

Unique identifier for the migration modal

migration_id
string<uuid>
required

Unique identifier for the migration associated with this modal

url
string<uri>
required

The signed URL for embedding the migration modal in an iframe

created
string<date-time>
required

Timestamp when the migration modal was created

expires_at
string<date-time>
required

Timestamp when the migration modal URL will expire

created_by_user_id
string<uuid>
required

Anon's unique identifier for the user who created the migration